!WORKSPACE 48 !RML !SLN !NOGRAPHS !RENAME 2 #Twt_kg_m3 Silk_DAP Pollen_DAP Plant_Height_cm Ear_Height_cm Lodging Grain_Moisture !RENAME
Title: G2F_2014-16_Stage2 with A relationships
 Env  !A 65 !LL 64  # ARH2_2016
 Hybrid !A !L G2FPedigree_CorrespondPhenos2.txt
 $A !D* #D* should manually drop the records with missing yield
 $A_weight

#../AMatinv.giv !NSD !SKIP 1 #Realized A matrix inverse
'Q:\My Drive\Anna\G2F_Hybrid_Genomic_Data_To_Analysis\AMatinv.giv' !NSD !SKIP 1
#../DMatinv.giv !NSD !SKIP 1 #Realized A matrix inverse
#"Q:\My Drive\Anna\G2F_Hybrid_Genomic_Data_To_Analysis\DMatinv.giv" !NSD !SKIP 1
#../G2F_2014-16_Stage1_BLUEs_wide.csv  !SKIP 1 !MAXIT 75  !DOPATH $2 !CONTINUE !EQNORDER 2
"Q:\My Drive\Anna\asreml_3yrs\Stage 1 BLUEs\G2F2014-16_$1Stage1_BLUEs.csv"  !SKIP 1 !MAXIT 75 !EQNORDER 3 !DOPATH $2  #do not use !continue in this case, so we can get timings

!PART 2 #A + AE + I + IE cross-classified, fit with mrm1i() function
$A !WEIGHT $A_weight !DISP 1 ~ mu,
#      !r  Env giv1(Hybrid) idv(Env).giv1(Hybrid) ide(Hybrid) idv(Env).ide(Hybrid)
      !r  Env mrm1i(Hyb) id(Env).mrm1i(Hyb)
#predict Env !PRESENT Env
#predict Hybrid  !AVERAGE Env !PRESENT Hybrid
                                       
!PART 3 #A*FA(1) + diag(Env).ide(Hybrid)
$A !WEIGHT $A_weight !DISP 1 ~ mu,
      !r  Env rr1(Env).giv1(Hybrid) diag(Env).giv1(Hybrid) diag(Env).ide(Hybrid)
#predict Env !PRESENT Env
#predict Hybrid  !AVERAGE Env !PRESENT Hybrid

!PART 4 #A*FA(1) + I + IE
$A !WEIGHT $A_weight !DISP 1 ~ mu,
      !r  Env rr1(Env).giv1(Hybrid) diag(Env).giv1(Hybrid) ide(Hybrid) idv(Env).ide(Hybrid)
#predict Env !PRESENT Env
#predict Hybrid  !AVERAGE Env !PRESENT Hybrid

!PART 5 #A*FA(1) + I + diag(E)*I
$A !WEIGHT $A_weight !DISP 1 ~ mu,
      !r  Env rr1(Env).giv1(Hybrid) diag(Env).giv1(Hybrid) ide(Hybrid) diag(Env).ide(Hybrid)
#predict Env !PRESENT Env
#predict Hybrid  !AVERAGE Env !PRESENT Hybrid

!PART 6 #A*FA(1) + I*FA(1) #THIS FAILS TO CONVERGE!!!!!
$A !WEIGHT $A_weight !DISP 1 ~ mu,
      !r  Env rr1(Env).giv1(Hybrid) diag(Env).giv1(Hybrid) rr1(Env).ide(Hybrid) diag(Env).ide(Hybrid)

!PART 7 #A*FA(2) + diag(Env).ide(Hybrid)
$A !WEIGHT $A_weight !DISP 1 ~ mu,
      !r  Env rr2(Env).giv1(Hybrid) diag(Env).giv1(Hybrid) diag(Env).ide(Hybrid)
#predict Env !PRESENT Env
#predict Hybrid  !AVERAGE Env !PRESENT Hybrid

!PART 8 #A*FA(2) + I + IE
$A !WEIGHT $A_weight !DISP 1 ~ mu,
      !r  Env rr2(Env).giv1(Hybrid) diag(Env).giv1(Hybrid) ide(Hybrid) idv(Env).ide(Hybrid)
#predict Env !PRESENT Env
#predict Hybrid  !AVERAGE Env !PRESENT Hybrid

!PART 9 #A*FA(2) + I + diag(E)*I
$A !WEIGHT $A_weight !DISP 1 ~ mu,
      !r  Env rr2(Env).giv1(Hybrid) diag(Env).giv1(Hybrid) ide(Hybrid) diag(Env).ide(Hybrid)
#predict Env !PRESENT Env
#predict Hybrid  !AVERAGE Env !PRESENT Hybrid

